---
title: Fannyapp
layout: appitem
imagesDir: images/apps/fannyapp
links:
  googleplay: "https://play.google.com/store/apps/details?id=com.itsblue.flgvertretung"
  appstore: "https://apps.apple.com/de/app/fannyapp/id1495583845"
  opensource: "https://itsblue.dev/dorian/fanny-app"
privacyPolicy: |
  While you're using the Fannyapp Itsblue Development does not collect any of your personal data.<br>
  <br>
  However, Treffpunkt Fanny e.V. (provider of foodplan data) may collect personal data.<br>
  Further information can be found in their privacy policy:<br>
  <a href=\"http://www.treffpunkt-fanny.de/index.php/datenschutzerklaerung\" target=\"blank\">http://www.treffpunkt-fanny.de/index.php/datenschutzerklaerung</a>
outputs:
  - html
  - privacypolicy

menu:
  main:
    title: Fannyapp
    name: Fannyapp
    weight: 2
    parent: Apps
---

The Fannyapp was our first public app and the reason we decided to start publishing apps for Apple devices.

<!--more-->

##### What it is now

It is a simple app for the mensa of my former highschool, [Treffpunkt Fanny](https://treffpunkt-fanny.de), which shows the meals being served in the next ten days.
To accomplish this, we also wrote a php script which parses the [excel table](http://www.treffpunkt-fanny.de/images/stories/dokumente/Essensplaene/current.xlsx), which Treffpunkt Fanny uses to keep track which meals will be served, and turns it into a [REST-API](http://www.treffpunkt-fanny.de/images/stories/dokumente/Essensplaene/api/TFfoodplanAPI.php). The source code of that php script can be found on [GitHub](https://github.com/Fanny-Leicht-Gymnasium/TFfoodplan).

##### What it used to be

Back when I still went to the Fanny-Leicht-Gymnasium, the Fannyapp used to be more than just a meal-plan. It showed events like "The maths class today at 7:30am is cancelled", or "The biology class today at 3:30pm is moved to a diffrent room". The last three screenshots are from back when it could still do that.
I'd like to give a little background on that:  
At that time, this so-called "substitution plan" was only available as an ugly pdf at the schools website. It was very annoying to read on a phone, as it was small text and always contained all events for all grades. The app was able to filter the eventy by grade and group (see last screenshot), which made it much more convenient to read.  
Also, users had to login to the website every time, since it used plain old http basic authentication. The app could just remember the username and password.
At that time, I was also maintaining the schools main website. Since I found the http basic system very annoying and outdated, the authentication was fully migrated to Joomla (the CMS we were using) on my initiative.  
That opened up more possibilities, since I was now able to use Joomlas plugin system to write a [plugin](https://github.com/Fanny-Leicht-Gymnasium/JoomlaFannySubstitutionPlan) which converted the pdf to an easy to parse REST-API.  
As you can see, I spent lots of time to develop all of this, and it was my first public project that was actually useful.

So what happened? It's pretty simple actually: The school decided to purchase the commercially available app "Untis mobile" and therefore, my app was no longer needed and truned into a meal-plan.
